# Inactive User Management

This module provides a way to manage inactive users. It sends notifications to users. The module is configurable and light.

## Features
If the user is inactive for longer than a specified time, the user will receive a configurable notification via email. The time between notifications is also configurable.

## Future Features
After the first stable release, the work will begin on adding a feature that allows to automatically deactivate users after a given time. Another feature will be an overview page of to who and when notifications were sent. (like a report page)

## Requirements

This module requires the following modules:
- Drupal Symfony Mailer [https://www.drupal.org/project/symfony_mailer](https://www.drupal.org/project/symfony_mailer)
- Ultimate Cron [https://www.drupal.org/project/ultimate_cron](https://www.drupal.org/project/ultimate_cron)

## Installation
Install as you would normally install a contributed Drupal module.

### Configuration
When installing the module some config files are imported. 

## Usage
Configure the notifications by visiting ``/admin/config/people/inactive-user-management``

### Permissions
Define who can alter the configurations on the permissions page. ``admin/people/permissions/module/inactive_user_management``